using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DevExpress.XtraEditors;
using System.IO;
using SWGDBHelper;

namespace SWGDBSysManager
{
    public partial class frmAddValue : DevExpress.XtraEditors.XtraForm
    {
        Dictionary<string, string> mpGBCodes;
        string mstrValue = "";
        string mstrDescri = "";
        string mstrStylePath = "";
        public frmAddValue(Dictionary<string, string> pGBCodes)
        {
            InitializeComponent();
            mpGBCodes = pGBCodes;
            chB_DefaultStyle_CheckedChanged(null,null);
        }

        private void txtValue_EditValueChanged(object sender, EventArgs e)
        {
            string value = this.txtValue.Text.Trim();
            if (mpGBCodes.ContainsKey(value))
                this.txtDescri.Text = mpGBCodes[value];
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            mstrValue = this.txtValue.Text.Trim();
            mstrDescri = this.txtDescri.Text.Trim();
            if (this.btnEdStyle.Text == "")
            {
                DevHelper.ShowInfo(this, "ѡſ!");
                return;
            }
            mstrStylePath = this.btnEdStyle.Text;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }

        /// <summary>
        /// Żֶεֵ
        /// </summary>
        public string FieldValue
        {
            get
            {
                return mstrValue;
            }
        }

        /// <summary>
        /// ֵֶ
        /// </summary>
        public string ValueDesci
        {
            get
            {
                return mstrDescri;
            }
        }

        /// <summary>
        /// ſ·
        /// </summary>
        public string StylePath
        {
            get
            {
                return mstrStylePath;
            }
        }

        private void btnEdStyle_ButtonClick(object sender, DevExpress.XtraEditors.Controls.ButtonPressedEventArgs e)
        {
            OpenFileDialog dlg = new OpenFileDialog();
            //dlg.RestoreDirectory = true;
            dlg.InitialDirectory = Application.StartupPath + "\\Style\\";
            dlg.CheckFileExists = true;
            dlg.Multiselect = false;
            dlg.ShowHelp = false;
            dlg.Filter = "ſļ(*.style)|*.style";
            if (dlg.ShowDialog() == DialogResult.OK)
            {
                this.btnEdStyle.Text = dlg.FileName;
            }
        }

        private void chB_DefaultStyle_CheckedChanged(object sender, EventArgs e)
        {
            btnEdStyle.Text = "";
            if (chB_DefaultStyle.Checked)
            {
                if (File.Exists(Application.StartupPath + "\\Style\\DLGQ10K.style"))
                {
                    btnEdStyle.Text = Application.StartupPath + "\\Style\\DLGQ10K.style";
                }
                else
                {
                    DevHelper.ShowWaring("ȱʧϵͳļ" + Application.StartupPath + "\\Style\\DLGQ10K.style");
                    chB_DefaultStyle.Checked = false;
                }
            }
            btnEdStyle.Enabled = !chB_DefaultStyle.Checked;
        }
    }
}